\section{Complexity}
\begin{frame}{Complexity}
    \begin{theorem}
        CFR is NP-hard.
    \end{theorem}
    \begin{proof}
        Reduction from Set Cover.
    \end{proof}
    \begin{figure}
        \centering
        \input{tikz/tikz_reduction.tex}
    \end{figure}
\end{frame}